import { Address } from '@solana/addresses';
import { Commitment, LamportsUnsafeBeyond2Pow53Minus1 } from '@solana/rpc-types';
import { RpcResponse, Slot } from './common.js';
type GetBalanceApiResponse = RpcResponse<LamportsUnsafeBeyond2Pow53Minus1>;
export interface GetBalanceApi {
    /**
     * Returns the balance of the account of provided Pubkey
     */
    getBalance(address: Address, config?: Readonly<{
        commitment?: Commitment;
        minContextSlot?: Slot;
    }>): GetBalanceApiResponse;
}
export {};
//# sourceMappingURL=getBalance.d.ts.map