import { Slot } from './common.js';
type GetMaxShredInsertSlotApiResponse = Slot;
export interface GetMaxShredInsertSlotApi {
    /**
     * Get the max slot seen from after shred insert.
     * Note that the optional NO_CONFIG object is ignored. See https://github.com/solana-labs/solana-web3.js/issues/1389
     */
    getMaxShredInsertSlot(NO_CONFIG?: Record<string, never>): GetMaxShredInsertSlotApiResponse;
}
export {};
//# sourceMappingURL=getMaxShredInsertSlot.d.ts.map